<h1>Verfügbare Räume</h1>

<mat-form-field>
  <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>

<div *ngIf="rooms.length < 1">
  Nichts gefunden
</div>

<mat-grid-list #grid cols="2" rowHeight="2:1">
  <mat-grid-tile *ngFor="let room of rooms">
    <mat-card (click)="roomClicked(room)">
      <!--Titel einfügen-->
      <mat-card-title>{{ room.name }}</mat-card-title>
      <mat-card-subtitle>{{ room.floor }}</mat-card-subtitle>
      <mat-card-content>
        <p>{{ room.description }}</p>
      </mat-card-content>
      <mat-slide-toggle (click)="$event.stopPropagation()">Licht</mat-slide-toggle>
      <mat-slide-toggle (click)="$event.stopPropagation()">Steckdosen</mat-slide-toggle>
    </mat-card>
  </mat-grid-tile>
</mat-grid-list>
